com.tibbo.aggregate.common.protocol

## Class SslHelper

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.SslHelper

-     public class SslHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SslHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `configureRevocationChecker(java.security.KeyStore trustStore, javax.net.ssl.TrustManagerFactory trustManagerFactory, java.util.Set<java.security.cert.PKIXRevocationChecker.Option> options)`
    `static java.util.Set<java.security.cert.PKIXRevocationChecker.Option>` | `getRevocationCheckerOptions(boolean preferCrls, boolean onlyEndEntity, boolean noFallback, boolean softFail)`
    `static javax.net.ssl.SSLSocketFactory` | `getTrustedSocketFactory()`
    `static javax.net.ssl.SSLSocketFactory` | `getTrustedSocketFactory(boolean trustAll, boolean preferCrls, boolean onlyEndEntity, boolean noFallback, boolean softFail)`
    `static void` | `initTwoWaySSLContext(javax.net.ssl.SSLContext context, java.util.Set<java.security.cert.PKIXRevocationChecker.Option> revocationCheckerOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SslHelper

          public SslHelper()

  - ### Method Detail

    - #### initTwoWaySSLContext

          public static void initTwoWaySSLContext(javax.net.ssl.SSLContext context,
                                                  java.util.Set<java.security.cert.PKIXRevocationChecker.Option> revocationCheckerOptions)
                                           throws java.security.NoSuchAlgorithmException,
                                                  java.security.KeyStoreException,
                                                  java.io.FileNotFoundException,
                                                  java.io.IOException,
                                                  java.security.cert.CertificateException,
                                                  java.security.UnrecoverableKeyException,
                                                  java.security.KeyManagementException,
                                                  java.security.InvalidAlgorithmParameterException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.KeyStoreException`
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `java.security.cert.CertificateException`
        `java.security.UnrecoverableKeyException`
        `java.security.KeyManagementException`
        `java.security.InvalidAlgorithmParameterException`

    - #### configureRevocationChecker

          public static void configureRevocationChecker(java.security.KeyStore trustStore,
                                                        javax.net.ssl.TrustManagerFactory trustManagerFactory,
                                                        java.util.Set<java.security.cert.PKIXRevocationChecker.Option> options)
                                                 throws java.security.NoSuchAlgorithmException,
                                                        java.security.KeyStoreException,
                                                        java.security.InvalidAlgorithmParameterException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.KeyStoreException`
        `java.security.InvalidAlgorithmParameterException`

    - #### getRevocationCheckerOptions

          public static java.util.Set<java.security.cert.PKIXRevocationChecker.Option> getRevocationCheckerOptions(boolean preferCrls,
                                                                                                                   boolean onlyEndEntity,
                                                                                                                   boolean noFallback,
                                                                                                                   boolean softFail)

    - #### getTrustedSocketFactory

          public static javax.net.ssl.SSLSocketFactory getTrustedSocketFactory()

    - #### getTrustedSocketFactory

          public static javax.net.ssl.SSLSocketFactory getTrustedSocketFactory(boolean trustAll,
                                                                               boolean preferCrls,
                                                                               boolean onlyEndEntity,
                                                                               boolean noFallback,
                                                                               boolean softFail)